Bug 12205 - libQt4 broke binary compatibility
: libQt4 broke binary compatibility
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/python-module-PyQt4)
: unstable
: all Linux
: P2 blocker
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-07-04 14:51 by
Modified: 2007-10-01 23:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-07-04 14:51:33
При наличии в системе:

python-module-PyQt4-4.1.1-alt1
libqt4-4.3.0-alt3

приложение, использующее PyQt4 (в данном случае - picard), падает с таким
сообщением:

  File "/usr/lib/python2.4/site-packages/picard/tagger.py", line 21, in ?
    from PyQt4 import QtGui, QtCore
ImportError: /usr/lib/libQtGui.so.4: undefined symbol: XRRFreeScreenResources

Видимо, требуется пересборка PyQt4?
------- Comment #1 From 2007-07-04 18:27:14 -------
там вообще нужна новая версия... она почти готова, но есть небольшие траблы со
временем... :(

Постараюсь все сделать до выходных.
------- Comment #2 From 2007-08-28 01:10:48 -------
Какие-то надежды на исправление есть? %) Хотя бы примерные сроки?
------- Comment #3 From 2007-08-28 15:02:31 -------
Уже хочу застрелиться, но времени вообще нет! :(
------- Comment #4 From 2007-08-28 15:57:57 -------
А так же qt4-4.3.1 ждет возвращения ldv из отпуска для перекладывания в бранч
------- Comment #5 From 2007-08-28 16:09:06 -------
Да у меня вообще-то проблема даже не с PyQt4, а с QScintilla2... :(
------- Comment #6 From 2007-10-01 18:46:26 -------
Может быть чем-то можно помочь? Может быть пока какие-то части временно убрать
(QScintilla?), если они мешают сборке? Есть какие-то мысли на тему того, куда
хотя бы можно смотреть, чтобы это относительно реально было сделать?
------- Comment #7 From 2007-10-01 18:53:14 -------
Сам PyQt4 я уже собрал... там только какая-то фигня со сборкой под x86_64...
плагин для дизайнера криво инсталлится. если есть время с удовольсвием приму
фикс на спек! :)
------- Comment #8 From 2007-10-01 23:45:23 -------
Так это, давайте ж закрывать этот баг :)